'use strict';

const filterText = text => {
  return text.replace(/[&\|\\\*^%$#@]/g, '').replace(/\n/g, '');
};

// 替换特殊字符
const filterCharter = (str, replaceChar = '_') => {
  const pattern = new RegExp(
    "[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！\\-@#￥……&*（）——|{}【】‘；：”“'。，、？]"
  );
  let result = '';
  for (let i = 0, len = str.length; i < len; i++) {
    result = result + str.substr(i, 1).replace(pattern, replaceChar);
  }
  return result;
};

// 替换空格
const filterWhitespace = str => {
  return str.replace(/\s+/g, '');
};

module.exports = {
  filterText,
  filterCharter,
  filterWhitespace,
};
