'use strict';

const chinesePattern = /[\u4E00-\u9FCC\u3400-\u4DB5\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA1F\uFA21\uFA23\uFA24\uFA27-\uFA29]|[\ud840-\ud868][\udc00-\udfff]|\ud869[\udc00-\uded6\udf00-\udfff]|[\ud86a-\ud86c][\udc00-\udfff]|\ud86d[\udc00-\udf34\udf40-\udfff]|\ud86e[\udc00-\udc1d]/;

const chineseScopes = ['ClassMethod'];

const locale_file_path = 'locales';
const locale_zh_hans_cn = 'zh-Hans-CN';
const locale_ref_package = 'react-intl';
const locale_ref_method = 'injectIntl';

module.exports = {
  chinesePattern,
  chineseScopes,
  locale_ref_package,
  locale_ref_method,
  locale_file_path,
  locale_zh_hans_cn,
};
